Subject: MMU failure, Virtex4-FX60

From: Robert Woodworth <[email-masked]>
Date: Mon, 07 Jan 2008 10:42:24 -0700

Hello!

I'm building a new Virtex4-FX60 device.  I have built it with the new
MPMC3 and a 256MB SO-DIMM.  It works successfully with a "mem-test" type
embedded program.

I cannot get it to boot a Linux kernel.  I have traced it down to the
MMU not getting mapped correctly. 

I can load the kernel via jtag, get the pre-boot messages on the serial
but then when it tries to jump to 0xc0002218 (start_here: head_4xxx.S)
it fails with a "Machine check exception; invalid instruction address".

Using the debugger and examining the memory once the mmu is suppose to
be configured, I see that it is not mapping 0xc0000000  to the proper
location.  I'm sure I've set something up wrong in my FPGA and I need to
re-synthesize.  But what?

Any hints on which registers to look for or what I need to do??

RJW.